 function VfieldBF(X,S)
 global  Ks  Sb Se mub
 figure(1);cla;traj=0;
 D=mub - Ks*(S-Sb);
 D=max(0,D);
 D=min(3,D);
 r=S/Sb;mu=2*mub*r./(r.*r+1);DX=X.*(mu-D);DS=D.*(Se-S)-mu.*X;
 Z=(DX.*DX+DS.*DS+1.e-10).^(.5);
 Z=Z.^(.6666);
 DX=DX./Z;
 DS=DS./Z;
 fleche=quiver(X,S,DX,DS);
 set(fleche(1),'LineWidth',1.5);
 set(fleche(2),'LineWidth',1.5,'color',[0 .8 .8]);

 Xlabel('X','FontSize',20);Ylabel('S','FontSize',20);
 Title(['Controller Gain Ks=',num2str(Ks)],'FontSize',20);
 set(gca,'FontSize',20);
 %
 %  steady states
 
 hSe=plot(0,Se,'ro');
 set(hSe,'MarkerFaceColor',[1 0 0],'MarkerSize',12);
 
 D=mub;
 
 r=Se/Sb;De=2*mub*r./(r.*r+1);
 Db=mub; 
 
 
 if (D > Db)
    return
 end;

 a=D/2/mub;
 delta=sqrt(1/a/a-4);
 Sp=Sb*(1/a + delta)/2;
 Sm=Sb*(1/a - delta)/2;
 Xp=Se-Sp;
 Xm=Se-Sm;
 h=plot(Xm,Sm,'ro');
 set(h,'MarkerFaceColor',[1 0 0],'MarkerSize',12);

if (D < De)
    set(hSe,'color',[0 1 0 ], 'MarkerFaceColor',[0 1 0],'MarkerSize',12);
    return
 end;
 
 h=plot(Xp,Sp,'go');
 set(h,'MarkerFaceColor',[0 1 0],'MarkerSize',12);

   
 
 
 return
